Bug 505819 - NullPointerException in applet viewer
NullPointerException in applet viewer
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: java-1.6.0-openjdk (Show other bugs)
11
x86_64 Linux
low Severity high
: ---
: ---
Assigned To: Deepak Bhole
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-06-14 01:07 EDT by Jerry James
Modified: 2010-06-28 08:59 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-06-28 08:59:06 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Console log (32.76 KB, text/plain)
2009-08-05 15:45 EDT, Jerry James
no flags Details
~/.icedteaplugin/java.stderr (46.42 KB, text/plain)
2009-08-05 15:45 EDT, Jerry James
no flags Details

  None (edit)
Description Jerry James 2009-06-14 01:07:55 EDT
Description of problem:
I had just played an online game that uses an applet (www.runescape.com).  As I clicked on the game's Quit button, firefox crashed.  I found this in .xsession-errors:

java.lang.RuntimeException: Failed to handle message: handle 65437500 Thread[Thread-1,5,main]
	at sun.applet.PluginAppletViewer.handleMessage(PluginAppletViewer.java:440)
	at sun.applet.PluginStreamHandler.handleMessage(PluginStreamHandler.java:295)
	at sun.applet.PluginMessageHandlerWorker.run(PluginMessageHandlerWorker.java:72)
Caused by: java.lang.NullPointerException
	at net.sourceforge.jnlp.NetxPanel.isAlive(NetxPanel.java:147)
	at sun.applet.PluginAppletViewer.<init>(PluginAppletViewer.java:313)
	at sun.applet.PluginAppletViewerFactory.createAppletViewer(PluginAppletViewer.java:121)
	at sun.applet.PluginAppletViewer.parse(PluginAppletViewer.java:1604)
	at sun.applet.PluginAppletViewer$7.run(PluginAppletViewer.java:1528)
	at java.security.AccessController.doPrivileged(Native Method)
	at sun.applet.PluginAppletViewer.parse(PluginAppletViewer.java:1537)
	at sun.applet.PluginAppletViewer.handleMessage(PluginAppletViewer.java:414)
	... 2 more
Shutdown complete - clean:true
/usr/lib64/firefox-3.5b4/run-mozilla.sh: line 131:  2686 Segmentation fault      "$prog" ${1+"$@"}


Version-Release number of selected component (if applicable):
firefox-3.5-0.20.beta4.fc11.x86_64
xulrunner-1.9.1-0.20.beta4.fc11.x86_64
xulrunner-devel-1.9.1-0.20.beta4.fc11.x86_64
java-1.6.0-openjdk-plugin-1.6.0.0-22.b16.fc11.x86_64
swfdec-mozilla-0.9.2-2.fc11.x86_64
totem-mozplugin-2.26.2-1.fc11.x86_64
mozilla-filesystem-1.9-4.fc11.x86_64
nspluginwrapper-1.3.0-5.fc11.x86_64

How reproducible:
Haven't tried.  But my son and I play this game often.  I will install the firefox-debuginfo package and hope we can trigger it again.

Steps to Reproduce:
1. Play runescape.
2. Click on the "Quit" button.
  
Actual results:
Usual, a normal quit, which reloads the main runescape page.  This time, firefox crashed.  (I had multiple tabs open.)

Expected results:
A normal quit, which reloads the main runescape page.

Additional info:
Comment 1 Jerry James 2009-07-04 15:47:09 EDT
This just happened again with the final firefox release.  Here are the current version numbers:

firefox-3.5-1.fc11.x86_64
xulrunner-1.9.1-1.fc11.x86_64
java-1.6.0-openjdk-plugin-1.6.0.0-22.b16.fc11.x86_64
swfdec-mozilla-0.9.2-2.fc11.x86_64
totem-mozplugin-2.26.2-1.fc11.x86_64
mozilla-filesystem-1.9-4.fc11.x86_64
nspluginwrapper-1.3.0-5.fc11.x86_64

and the new backtrace (mostly the same as the previous one):

java.lang.RuntimeException: Failed to handle message: handle 65057335 Thread[Thread-1,5,main]
	at sun.applet.PluginAppletViewer.handleMessage(PluginAppletViewer.java:440)
	at sun.applet.PluginStreamHandler.handleMessage(PluginStreamHandler.java:295)
	at sun.applet.PluginMessageHandlerWorker.run(PluginMessageHandlerWorker.java:72)
Caused by: java.lang.NullPointerException
	at net.sourceforge.jnlp.NetxPanel.isAlive(NetxPanel.java:147)
	at sun.applet.PluginAppletViewer.<init>(PluginAppletViewer.java:313)
	at sun.applet.PluginAppletViewerFactory.createAppletViewer(PluginAppletViewer.java:121)
	at sun.applet.PluginAppletViewer.parse(PluginAppletViewer.java:1604)
	at sun.applet.PluginAppletViewer$7.run(PluginAppletViewer.java:1528)
	at java.security.AccessController.doPrivileged(Native Method)
	at sun.applet.PluginAppletViewer.parse(PluginAppletViewer.java:1537)
	at sun.applet.PluginAppletViewer.handleMessage(PluginAppletViewer.java:414)
	... 2 more
/usr/lib64/firefox-3.5/run-mozilla.sh: line 131:  2776 Segmentation fault      "$prog" ${1+"$@"}
Comment 2 Deepak Bhole 2009-07-05 19:46:14 EDT
Can you reproduce that error reliably? I have never been able to.. If you are able to, please start firefox from the terminal as follows:

"ICEDTEAPLUGIN_DEBUG=true firefox 2>&1 | tee /tmp/console.log'

and attach the resulting /tmp/console.log and ~/.icedteaplugin/java.std* log files.
Comment 3 Jerry James 2009-07-31 14:00:28 EDT
In spite of diligent efforts by my son to reproduce this exception, we haven't seen it again since I posted comment #1.  I don't know if something fixed the problem, or if it is a timing-related bug and is just unlikely to happen.  I'll keep trying.
Comment 4 Eduardo Habkost 2009-07-31 14:28:14 EDT
I have seen this bug only once, also. It was yesterday, while running firefox-3.5-1.fc11.i586 and java-1.6.0-openjdk-plugin-1.6.0.0-24.b16.fc11.i586.

I have updated the system to latest firefox and openjdk from Fedora 11 updates now, I will let you know if I see it again.
Comment 5 Jerry James 2009-08-05 15:45:07 EDT
Created attachment 356418 [details]
Console log

Aha, caught it!  Thanks are due to my not-to-be-named-in-public teenage son, who diligently, DILIGENTLY I say, played runescape for hours on end in an effort to trap this bug.  It was, of course, entirely selfless on his part.
Comment 6 Jerry James 2009-08-05 15:45:54 EDT
Created attachment 356420 [details]
~/.icedteaplugin/java.stderr
Comment 7 Deepak Bhole 2009-08-05 16:18:14 EDT
Thanks Jerry!

Looks like the applet got initialized twice, with the crash happening the first time, and the second time it running correctly (with no browser crashes at all). Is that right?
Comment 8 Jerry James 2009-08-05 17:18:21 EDT
From the user's perspective, the browser was started and pointed at the Runescape page.  Due to bz 502318, when the applet started, it took the user to the world selection page.  After selecting the world, the browser presented a blank page that never filled in.  We checked java.stderr and found that this bug was the cause.

I'm not sure how to reconcile that with your statement about 2 applet initializations.
Comment 9 Bug Zapper 2010-04-27 10:53:31 EDT
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 10 Bug Zapper 2010-06-28 08:59:06 EDT
Fedora 11 changed to end-of-life (EOL) status on 2010-06-25. Fedora 11 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.